Companies

Get related person

GEThttps://api.firstleeward.com/v0/companies/:id/related-persons/:personId

Retrieves a related person by ID, including archived persons (isActive is false).

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Path Parameters

idstring<uuid>required

Company identifier

personIdstring<uuid>required

Related person identifier

Response

200Related person details
idstring<uuid>required

Unique related person identifier

companyIdstring<uuid>required

Company this person belongs to

fullNamestring | nullrequired

Full name of the person

emailstring<email> | nullrequired

Email address of the person

statusstringrequired

Verification status

Available options:NOT_STARTEDIN_REVIEWAPPROVEDREJECTED
isActivebooleanrequired

Whether the related person is still addressable. False when the person has been archived.

createdAtstringrequired

When the person was added (ISO 8601)

updatedAtstringrequired

When the person was last updated (ISO 8601)

404Response for status 404
Option 1 · CompanyNotFoundError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 2 · CompanyRelatedPersonNotFoundError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired